package net.wanji.utc.service;

import net.wanji.utc.common.baseentity.BaseCrossInfo;
import net.wanji.utc.vo.signal.SignalLightStateVo;

import java.util.List;

/**
 * @author  meng.wang
 * @version 1.0
 * Created on 2020/09/10
 * @description: [海康信号灯厂商接口service]
 */
public interface HkGetSignalMethodService {

    /**
     * @description: 获取路口信号机的实时灯态数据
     * @param baseSignals 信号机列表
     * @return SignalInfoVo 信号机状态
     * @author meng.wang
     * @date 2020/09/10
     */
    List<SignalLightStateVo> queryHkSignalInfo(List<BaseCrossInfo> baseSignals);
}
